summaryrefslogtreecommitdiffstats
path: root/src/vagrant/k8s_kubeadm/ovsdpdk/install.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-08-03 08:42:12 -0700
committerGuo Ruijing <ruijing.guo@intel.com>2017-08-03 08:43:45 -0700
commit79c38bff1b279a6d73bbbffd98f44613d76afbfe (patch)
tree5a0431ebf2f401e0fe8ae9eaffc8d540175814b8 /src/vagrant/k8s_kubeadm/ovsdpdk/install.sh
parentdc766e69c0c08c55b6df2384bbcfd1e712f03160 (diff)
deploy ovsdpdk by k8s
Change-Id: Ie8ea880db410e699cdda147b304705819e13157a Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'src/vagrant/k8s_kubeadm/ovsdpdk/install.sh')
-rw-r--r--src/vagrant/k8s_kubeadm/ovsdpdk/install.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/src/vagrant/k8s_kubeadm/ovsdpdk/install.sh b/src/vagrant/k8s_kubeadm/ovsdpdk/install.sh
new file mode 100644
index 0000000..66fb71d
--- /dev/null
+++ b/src/vagrant/k8s_kubeadm/ovsdpdk/install.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -ex
+sudo apt-get update
+sudo apt-get install -y openvswitch-switch-dpdk linux-image-extra-4.4.0-75-generic
+sudo update-alternatives --set ovs-vswitchd /usr/lib/openvswitch-switch-dpdk/ovs-vswitchd-dpdk
+echo "DPDK_OPTS='--dpdk -c 0x1 -n 4 -m 1024'" | sudo tee -a /etc/default/openvswitch-switch